<template>
  <ConfirmDialog v-model="showDialog"
    :dialogText="'Êtes-vous sûr de vouloir quitter la page sans enregistrer vos travaux ?'"
    :dialogTitle="'Modifications en cours'" @confirm="confirm" @close="close" />
</template>

<script setup lang="ts">
const showDialog = defineModel<boolean>();

const emit = defineEmits(['close', 'confirm']);

const close = () => {
  emit('close');
};

const confirm = () => {
  emit('confirm');
};
</script>
